/* giFTui
 * Copyright (C) 2003 the giFTui team
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef __UI_ABOUT_H__
#define __UI_ABOUT_H__

/*
  GiftuiChild
      +----GiftuiChildAbout
*/

#define GIFTUI_TYPE_CHILD_ABOUT (giftui_child_about_get_type ())
#define GIFTUI_CHILD_ABOUT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GIFTUI_TYPE_CHILD_ABOUT, GiftuiChildAbout))
#define GIFTUI_CHILD_ABOUT_CLASS(class) (G_TYPE_CHECK_CLASS_CAST ((class), GIFTUI_TYPE_CHILD_ABOUT, GiftuiChildAboutClass))
#define GIFTUI_IS_CHILD_ABOUT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GIFTUI_TYPE_CHILD_ABOUT))
#define GIFTUI_IS_CHILD_ABOUT_CLASS(class) (G_TYPE_CHECK_CLASS_TYPE ((class), GIFTUI_TYPE_CHILD_ABOUT))
#define GIFTUI_CHILD_ABOUT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GIFTUI_TYPE_CHILD_ABOUT, GiftuiChildAboutClass))

typedef struct _GiftuiChildAbout GiftuiChildAbout;
typedef struct _GiftuiChildAboutClass GiftuiChildAboutClass;

struct _GiftuiChildAbout
{
	GiftuiChild parent_instance;
	
	/* < private_data > */
	GtkWidget *list;
	GtkTreeIter iter;
	
	GtkWidget *messages;
	
	guint timeout;
};

struct _GiftuiChildAboutClass
{
	GiftuiChildClass parent_class;
};

GType giftui_child_about_get_type (void);
GtkWidget *giftui_child_about_new (void);

#endif
